<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
            <span jhiTranslate="mpmApp.partyDocument.home.title">Party Documents</span>
            </h5>
            <p-dataTable
                [value]="partyDocuments"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idDocument"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: ['party-document-new'] } }]">
                        </button>
                    </div>
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="{{ 'mpmApp.partyDocument.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.partyDocument.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.partyDocument.content'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <p-lightbox type="content">
                            <a class="group" href="#">
                                <img [src]="'data:' + rowData.contentContentType + ';base64,' + rowData.content" style="max-height: 30px;" alt="partyDocument image"/>
                            </a>
                            <img [src]="'data:' + rowData.contentContentType + ';base64,' + rowData.content" style="max-width: 500px;" alt="partyDocument image"/>
                        </p-lightbox>
                        <span *ngIf="rowData.content">{{rowData.contentContentType}}, {{byteSize(rowData.content)}}</span>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.partyDocument.note'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.note}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.partyDocument.dateCreate'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.partyDocument.party'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.partyId">
                            <a [routerLink]="['../party', rowData.partyId  ]" >{{rowData.partyId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.partyDocument.documentType'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.documentTypeId">
                            <a [routerLink]="['../document-type', rowData.documentTypeId  ]" >{{rowData.documentTypeDescription}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.partyDocument.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['../party-document', rowData.idDocument]"
                                icon="fa-eye"
                                class="flat-button"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'party-document/'+ rowData.idDocument + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idDocument)"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>